experiments.droneControl

## Class SocketServer

- java.lang.Object
- - experiments.droneControl.SocketServer

    public class SocketServer
    extends java.lang.Object

The Class SocketServer.

### Constructor Summary

Constructors
Constructor and Description
`SocketServer(java.net.ServerSocket ss, java.net.Socket s)` Instantiates a new socket server.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close.
`int` `getMessageCounter()` Gets the message counter.
`java.lang.String` `readMessage()` Read message.
`void` `sendMessage(java.lang.String message)` Send message.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketServer

    public SocketServer(java.net.ServerSocket ss,
                        java.net.Socket s)

Instantiates a new socket server.

Parameters:
  `ss` - the ss
  `s` - the s

### Method Detail

#### sendMessage

    public void sendMessage(java.lang.String message)

Send message.

Parameters:
  `message` - the message

#### close

    public void close()

Close.

#### readMessage

    public java.lang.String readMessage()

Read message.

Returns:
  the string

#### getMessageCounter

    public int getMessageCounter()

Gets the message counter.

Returns:
  the message counter